#!/bin/bash
set -e  # 遇到错误时退出

# 定义路径
EXPORT_DIR="export"
MLUA_EXE="$EXPORT_DIR/mlua"
BUILD_BIN="build/bin"
LIB_DIR="build/lib"
GENDEF_EXE="$BUILD_BIN/gendef"
FS_LIB="fs/lib.cxx"

# 创建 export 和 lua 目录
mkdir -p "$EXPORT_DIR"

# 复制 mlua 可执行文件
cp -f "$BUILD_BIN/mlua" "$MLUA_EXE"

# 运行 gendef
"$GENDEF_EXE" "$FS_LIB" lua_fs "$EXPORT_DIR"

# 复制 lua_fs 动态库
cp -f "$LIB_DIR/liblua_fs.so" "$EXPORT_DIR/lua_fs.so"

echo "导出完成。"
